Package org.apache.groovy.json.internal

# Enum Class CacheType

java.lang.Object
java.lang.Enum<CacheType>
org.apache.groovy.json.internal.CacheType

All Implemented Interfaces:
  `Serializable`, `Comparable<CacheType>`, `Constable`

public enum CacheType extends Enum<CacheType>
Identifiers for cache eviction policies.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIFO`
  First-in-first-out cache type.
  `LFU`
  Least-frequently-used cache type.
  `LRU`
  Least-recently-used cache type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CacheType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CacheType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LRU

    public static final CacheType LRU
    Least-recently-used cache type.

  - ### LFU

    public static final CacheType LFU
    Least-frequently-used cache type.

  - ### FIFO

    public static final CacheType FIFO
    First-in-first-out cache type.

- ## Method Details

  - ### values

    public static CacheType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CacheType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null